BdsInstanceResetPasswordDetails¶
- class oci.bds.models.BdsInstanceResetPasswordDetails(**kwargs)¶
Bases:
objectThe request body for resetting the password of indicated component.
Attributes:
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails.
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails.
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails.
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails.
Gets the cluster_admin_password of this BdsInstanceResetPasswordDetails.
Gets the secret_id of this BdsInstanceResetPasswordDetails.
[Required] Gets the service of this BdsInstanceResetPasswordDetails.
Methods:
__init__(**kwargs)Initializes a new BdsInstanceResetPasswordDetails object with values from keyword arguments.
- SERVICE_AMBARI = 'AMBARI'¶
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails. This constant has a value of “AMBARI”
- SERVICE_HUE = 'HUE'¶
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails. This constant has a value of “HUE”
- SERVICE_JUPYTERHUB = 'JUPYTERHUB'¶
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails. This constant has a value of “JUPYTERHUB”
- SERVICE_RANGER = 'RANGER'¶
A constant which can be used with the service property of a BdsInstanceResetPasswordDetails. This constant has a value of “RANGER”
- __init__(**kwargs)¶
Initializes a new BdsInstanceResetPasswordDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
cluster_admin_password (str) – The value to assign to the cluster_admin_password property of this BdsInstanceResetPasswordDetails.
secret_id (str) – The value to assign to the secret_id property of this BdsInstanceResetPasswordDetails.
service (str) – The value to assign to the service property of this BdsInstanceResetPasswordDetails. Allowed values for this property are: “AMBARI”, “HUE”, “RANGER”, “JUPYTERHUB”
- property cluster_admin_password¶
Gets the cluster_admin_password of this BdsInstanceResetPasswordDetails. Base-64 encoded password for the cluster admin user.
- Returns
The cluster_admin_password of this BdsInstanceResetPasswordDetails.
- Return type
str
- property secret_id¶
Gets the secret_id of this BdsInstanceResetPasswordDetails. The secretId for the cluster admin user.
- Returns
The secret_id of this BdsInstanceResetPasswordDetails.
- Return type
str
- property service¶
[Required] Gets the service of this BdsInstanceResetPasswordDetails. Target service to which this operation applies.
Allowed values for this property are: “AMBARI”, “HUE”, “RANGER”, “JUPYTERHUB”
- Returns
The service of this BdsInstanceResetPasswordDetails.
- Return type
str